<template>
    <div class="setting">
        <h1>ตั้งค่า</h1>
        <div class="noticeSetting" @click="toggleNotice">
            <span>การแจ้งเตือน</span>
            <md-switch v-model="noticeSetting" class="md-primary"></md-switch>
        </div>
        <div class="settingList">
            <span>การแจ้งเตือนก่อนถึงเวลาเรียน</span>
            <span style="text-align: right;">
                <md-icon class="md-icon-button">chevron_right</md-icon>
            </span>
        </div>
        <div class="settingList">
            <span>เปลี่ยนภาษา</span>
            <span style="text-align: right;">
                <md-icon class="md-icon-button">chevron_right</md-icon>
            </span>
        </div>
        <div class="detail">
            <span>ติดต่อเรา</span>
            <p class="md-caption">Facebook: Ta Rang Rian</p>
            <p class="md-caption">Instagram: Ta Rang Rian</p>
            <p class="md-caption">Twitter: Ta Rang Rian</p>
        </div>
        <div class="detail">
            <span>เวอร์ชั่น</span>
            <p class="md-caption">1.0.0</p>
        </div>
        <div class="detail">
            <span>พัฒนาโดย</span>
            <p class="md-caption">Songvut Nakrong</p>
        </div>
    </div>
</template>

<script>
export default {
    name: 'Setting',
    metaInfo: {
        title: 'ตั้งค่า'
    },
    data() {
        return {
            noticeSetting: true,
        }
    },
    methods: {
        toggleNotice() {
            if(this.noticeSetting === true) this.noticeSetting = false;
            else this.noticeSetting = true
        }
    }
}
</script>

<style lang="scss" scoped>
h1 {
    font-size: 2.5rem;
}

.noticeSetting {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid lightgray;
    padding-left: 1rem;
}

.noticeSetting:hover {
    cursor: pointer;
    background-color: whitesmoke;
}

.settingList {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid lightgray;
    padding: 1rem;
}

.settingList:hover {
    cursor: pointer;
    background-color: whitesmoke;
}

.detail {
    border-bottom: 1px solid lightgray;
    padding: 1rem;
}

.detail:hover {
    cursor: pointer;
    background-color: whitesmoke;
}

.settingList span, .noticeSetting span, .detail span {
    font-weight: bold;
}

.detail p {
    padding: 0;
    margin: 0;
    margin-top: 0.5rem;
}

</style>